## javaproperties 0.7.0

=== docs/requirements.txt ===
Sphinx~=2.0
sphinx_rtd_theme~=0.4.0

## javaproperties 0.6.0

=== debian/changelog ===
javaproperties (0.6.0-2) unstable; urgency=medium

  * Source-only no changes upload.

 -- Luca Boccassi <bluca@debian.org>  Sun, 08 Mar 2020 10:47:43 +0000

javaproperties (0.6.0-1) unstable; urgency=medium

  * Initial release. (Closes: #953022)

 -- Luca Boccassi <bluca@debian.org>  Tue, 03 Mar 2020 11:37:01 +0000

=== debian/control ===
Source: javaproperties
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Luca Boccassi <bluca@debian.org>,
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-dateutil <!nocheck>,
               python3-pytest <!nocheck>,
               python3-pytest-mock <!nocheck>,
               python3-setuptools,
               python3-six <!nocheck>,
Standards-Version: 4.5.0
Section: python
Priority: optional
Rules-Requires-Root: no
Homepage: https://github.com/jwodder/javaproperties
Vcs-Browser: https://salsa.debian.org/python-team/modules/javaproperties
Vcs-Git: https://salsa.debian.org/python-team/modules/javaproperties.git
Testsuite: autopkgtest-pkg-python, autopkgtest

Package: python3-javaproperties
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Description: Python library for reading & writing Java .properties files
 javaproperties provides support for reading & writing Java .properties files
 (both the simple line-oriented format and XML) with a simple API based on the
 json module — though, for recovering Java addicts, it also includes a
 Properties class intended to match the behavior of Java 8's
 java.util.Properties as much as is Pythonically possible.

=== debian/tests/control ===
Tests: python3-tests
Depends: python3-all,
 python3-dateutil,
 python3-javaproperties,
 python3-pytest,
 python3-pytest-mock,
 python3-six,

## javaproperties 0.7.0

=== debian/changelog ===
javaproperties (0.7.0-1) unstable; urgency=medium

  * Merge tag 'v0.7.0' into debian/master

 -- Luca Boccassi <bluca@debian.org>  Wed, 22 Apr 2020 13:39:50 +0100

=== debian/rules ===
#!/usr/bin/make -f

# Tests need to set the timezone for mocking
export TZ=EST5EDT,M3.2.0,M11.1.0
# tox.ini adds --flake which is not supported in Debian
export PYBUILD_TEST_ARGS=-v -c /dev/null
export PYBUILD_AFTER_CLEAN=rm -rf javaproperties.egg-info docs/api

%:
	dh $@ --with python3 --buildsystem=pybuild

## javaproperties 0.8.1

=== docs/requirements.txt ===
Sphinx~=3.0
sphinx-copybutton~=0.3.0
sphinx_rtd_theme~=0.5.0

=== debian/changelog ===
javaproperties (0.8.1-2) unstable; urgency=medium

  [ Alexandre Detiste ]
  * remove extraneous python3-six dependencies

  [ Luca Boccassi ]
  * Bump Standards-Version to 4.6.2, no changes
  * Disable tests due to API breakage in pytest 8 (Closes: #1063976)

 -- Luca Boccassi <bluca@debian.org>  Mon, 01 Apr 2024 14:04:52 +0100

javaproperties (0.8.1-1.1) unstable; urgency=medium

  * Team upload.
  * dh-python-pep517 is replaced by pybuild-plugin-pyproject.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 08 Feb 2022 09:34:59 -0400

javaproperties (0.8.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Luca Boccassi ]
  * Merge tag 'v0.8.1' into newver
  * Bump Standards-Version to 4.6.0, no changes
  * Bump debhelper-compat to 13
  * Switch to dh-python-pep517
  * Switch to dh-sequence-python3
  * Use d/clean instead of PYBUILD_AFTER_CLEAN
  * Bump copyright year ranges in d/copyright
  * Remove Testsuite: autopkgtest

 -- Luca Boccassi <bluca@debian.org>  Thu, 16 Dec 2021 13:38:21 +0000

=== debian/control ===
Source: javaproperties
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Luca Boccassi <bluca@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-setuptools,
Standards-Version: 4.6.2
Section: python
Priority: optional
Rules-Requires-Root: no
Homepage: https://github.com/jwodder/javaproperties
Vcs-Browser: https://salsa.debian.org/python-team/packages/javaproperties
Vcs-Git: https://salsa.debian.org/python-team/packages/javaproperties.git
Testsuite: autopkgtest-pkg-python

Package: python3-javaproperties
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Description: Python library for reading & writing Java .properties files
 javaproperties provides support for reading & writing Java .properties files
 (both the simple line-oriented format and XML) with a simple API based on the
 json module — though, for recovering Java addicts, it also includes a
 Properties class intended to match the behavior of Java 8's
 java.util.Properties as much as is Pythonically possible.

=== debian/rules ===
#!/usr/bin/make -f

# Tests need to set the timezone for mocking
export TZ=EST5EDT,M3.2.0,M11.1.0
# tox.ini adds --flake which is not supported in Debian
export PYBUILD_TEST_ARGS=-v -c /dev/null

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:

## javaproperties 0.8.2

=== docs/requirements.txt ===
Sphinx~=8.0
sphinx-copybutton~=0.5.0
sphinx_rtd_theme~=3.0

=== debian/changelog ===
javaproperties (0.8.2-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/0.8.2'
  * Re-enable build-time tests
  * d/control: bump Standards-Version to 4.7.0, no changes
  * Update build dependencies

 -- Luca Boccassi <bluca@debian.org>  Thu, 05 Dec 2024 09:54:37 +0000

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,11 @@
                dh-sequence-python3,
                pybuild-plugin-pyproject,
                python3-all,
-               python3-setuptools,
-Standards-Version: 4.6.2
+               python3-dateutil <!nocheck>,
+               python3-hatchling,
+               python3-pytest <!nocheck>,
+               python3-pytest-mock <!nocheck>,
+Standards-Version: 4.7.0
 Section: python
 Priority: optional
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -7,5 +7,3 @@
 
 %:
 	dh $@ --buildsystem=pybuild
-
-override_dh_auto_test:

=== debian/tests/control ===
--- 
+++ 
@@ -4,4 +4,3 @@
  python3-javaproperties,
  python3-pytest,
  python3-pytest-mock,
- python3-six,
